summaryrefslogtreecommitdiff
path: root/dev-python/setuptools-git/setuptools-git-1.2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/setuptools-git/setuptools-git-1.2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/setuptools-git/setuptools-git-1.2.ebuild')
-rw-r--r--dev-python/setuptools-git/setuptools-git-1.2.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/setuptools-git/setuptools-git-1.2.ebuild b/dev-python/setuptools-git/setuptools-git-1.2.ebuild
new file mode 100644
index 000000000000..7f69c0ee96e2
--- /dev/null
+++ b/dev-python/setuptools-git/setuptools-git-1.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Setuptools revision control system plugin for Git"
+HOMEPAGE="https://github.com/wichert/setuptools-git"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git"
+RDEPEND="${DEPEND}"
+
+python_test() {
+ git config --global user.name "test user" || die
+ git config --global user.email "test@email.com" || die
+ esetup.py test
+}